---
title: Highlight and inspect DOM nodes
slug: Tools/Debugger/How_to/Highlight_and_inspect_DOM_nodes
tags:
  - DOM node
  - Debugger
  - DevTools
  - Page Inspector
---
<div>{{ToolsSidebar}}</div>

<p>If you hover over a DOM node in the Watch Expresions, it will be highlighted in the page.</p>

<p>When you are working with DOM notes in the debugger, you can easily highlight the node on the page or view it in the Page Inspector. A DOM object in the Watch Expressions area, for example, includes a target. Hover over the target to highlight the item on the page, Click on the target to switch to the Page Inspector with the item highlighted.</p>

<p>{{EmbedYouTube("G8KUW87zkK8")}}</p>

<p>Also, when you view the details of a DOM node in the code panel, objects that you can highlight in the list will also have a target next to them. You can click any one of these targets to switch to the Page Inspector with this item highlighted.</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16872/highlight_dom_node.png" style="border: 1px solid black; display: block; height: 342px; margin: 0px auto; width: 902px;"></p>
